<?php

@%@BCWARNING=// @%@

/**
 * INGO Hooks configuration file.
 *
 * For more information please see the hooks.php.dist file.
 */


class Ingo_Hooks
{
    /**
     * Returns the username/password needed to connect to the transport
     * backend.
     *
     * @param string $driver  The driver name (array key from backends.php).
     *
     * @return mixed  If non-array, uses Horde authentication credentials
                      (DEFAULT). Otherwise, an array with the following keys
     *                (non-existent keys will use default values):
     *  - euser: (string; SIEVE ONLY) For the sieve driver, the effective
     *           user to use.
     *  - password: (string) Password.
     *  - username: (string) User name.
     */
    public function transport_auth($driver)
    {
        switch ($driver) {
        case 'timsieved':
            $ob = $GLOBALS['registry']->call('mail/imapOb');
            return array(
                'password' => $ob->getParam('password'),
                'username' => $ob->getParam('username'),
                'euser'    => ''
            );
        }

        // DEFAULT: Use hordeauth (identical to not defining hook at all).
        return true;
    }

}
